<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.fgw.FgwXmsbMapper">
    
    <resultMap type="FgwXmsb" id="FgwXmsbResult">
        <result property="id"    column="id"    />
        <result property="xmmc"    column="xmmc"    />
        <result property="xmbh"    column="xmbh"    />
        <result property="xmdw"    column="xmdw"    />
        <result property="qtzrdw"    column="qtzrdw"    />
        <result property="qtsld"    column="qtsld"    />
        <result property="gmnr"    column="gmnr"    />
        <result property="jhkgsj"    column="jhkgsj"    />
        <result property="xmztz"    column="xmztz"    />
        <result property="sjbz"    column="sjbz"    />
        <result property="sczbj"    column="sczbj"    />
        <result property="zxz"    column="zxz"    />
        <result property="ppp"    column="ppp"    />
        <result property="rz"    column="rz"    />
        <result property="qyzc"    column="qyzc"    />
        <result property="ndjh"    column="ndjh"    />
        <result property="sjbzzjqd"    column="sjbzzjqd"    />
        <result property="rzqd"    column="rzqd"    />
        <result property="dq"    column="dq"    />
        <result property="jsdw"    column="jsdw"    />
        <result property="jsDeptId"    column="js_dept_id"    />
        <result property="deptId"    column="dept_id"    />
        <result property="deptName"    column="dept_name"    />
        <result property="userId"    column="user_id"    />
        <result property="kgsj"    column="kgsj"    />
        <result property="ntsj"    column="ntsj"    />
        <result property="ntxmtc"    column="ntxmtc"    />
        <result property="type"    column="type"    />
        <result property="progress"    column="progress"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="psnr" column="psnr"/>
        <result property="nkgsj" column="nkgsj"/>
        <result property="jgsj" column="jgsj"/>
        <result property="njgsj" column="njgsj"/>
        <result property="nttz" column="nttz"/>
        <result property="xmbq" column="xmbq"/>
        <result property="isJs" column="is_js"/>
        <result property="isWt" column="is_wt"/>
        <result property="wtType" column="wt_type"/>
    </resultMap>

    <sql id="selectFgwXmsbVo">
        select id, xmmc, xmbh,nkgsj,jgsj,njgsj,nttz,xmbq,is_js,is_wt,wt_type, xmdw, qtzrdw, qtsld, gmnr, jhkgsj, xmztz, sjbz, sczbj, zxz, ppp, rz,qyzc, ndjh, sjbzzjqd, rzqd, dq, jsdw, js_dept_id, dept_id,dept_name, user_id, kgsj, ntsj, ntxmtc, type, progress, status, create_by, create_time, update_by, update_time, remark,psnr from fgw_xmsb
    </sql>

    <select id="selectFgwXmsbList" parameterType="FgwXmsb" resultMap="FgwXmsbResult">
        select d.id, d.xmmc, d.xmbh,d.nkgsj,d.jgsj,d.njgsj,d.nttz,d.xmbq,d.is_js,d.is_wt,d.wt_type, d.xmdw, d.qtzrdw, d.qtsld, d.gmnr, d.jhkgsj, d.xmztz, d.sjbz, d.sczbj, d.zxz, d.ppp, d.rz,d.qyzc, d.ndjh, d.sjbzzjqd, d.rzqd, d.dq, d.jsdw, d.js_dept_id, d.dept_id,d.dept_name, d.user_id, d.kgsj, d.ntsj, d.ntxmtc, d.type, d.progress, d.status, d.create_by, d.create_time, d.update_by, d.update_time, d.remark,d.psnr from fgw_xmsb d
        <where>

            <if test="idList != null  and idList.size() > 0">
                and d.id in
                <foreach collection="idList" item="id" open="(" close=")" separator="," >
                    #{id}
                </foreach>
            </if>

            <if test="xmmc != null  and xmmc != ''"> and d.xmmc = #{xmmc}</if>
            <if test="xmbh != null  and xmbh != ''"> and d.xmbh = #{xmbh}</if>
            <if test="xmdw != null  and xmdw != ''"> and d.xmdw = #{xmdw}</if>
            <if test="qtzrdw != null  and qtzrdw != ''"> and d.qtzrdw = #{qtzrdw}</if>
            <if test="qtsld != null  and qtsld != ''"> and d.qtsld = #{qtsld}</if>
            <if test="gmnr != null  and gmnr != ''"> and d.gmnr = #{gmnr}</if>
            <if test="jhkgsj != null "> and d.jhkgsj = #{jhkgsj}</if>
            <if test="xmztz != null  and xmztz != ''"> and d.xmztz = #{xmztz}</if>
            <if test="sjbz != null  and sjbz != ''"> and d.sjbz = #{sjbz}</if>
            <if test="sczbj != null  and sczbj != ''"> and d.sczbj = #{sczbj}</if>
            <if test="zxz != null  and zxz != ''"> and d.zxz = #{zxz}</if>
            <if test="ppp != null  and ppp != ''"> and d.ppp = #{ppp}</if>
            <if test="rz != null  and rz != ''"> and d.rz = #{rz}</if>
            <if test="ndjh != null  and ndjh != ''"> and d.ndjh = #{ndjh}</if>
            <if test="sjbzzjqd != null  and sjbzzjqd != ''"> and d.sjbzzjqd = #{sjbzzjqd}</if>
            <if test="rzqd != null  and rzqd != ''"> and d.rzqd = #{rzqd}</if>
            <if test="dq != null  and dq != ''"> and d.dq = #{dq}</if>
            <if test="jsdw != null  and jsdw != ''"> and d.jsdw = #{jsdw}</if>
            <if test="jsDeptId != null "> and d.js_dept_id = #{jsDeptId}</if>
            <if test="deptId != null "> and d.dept_id = #{deptId}</if>
            <if test="deptName != null "> and d.dept_name = #{deptName}</if>
            <if test="userId != null "> and d.user_id = #{userId}</if>
            <if test="kgsj != null "> and d.kgsj = #{kgsj}</if>
            <if test="ntsj != null "> and d.ntsj = #{ntsj}</if>
            <if test="ntxmtc != null  and ntxmtc != ''"> and d.ntxmtc = #{ntxmtc}</if>
            <if test="type != null  and type != ''"> and d.type = #{type}</if>
            <if test="progress != null  and progress != ''"> and d.progress = #{progress}</if>
            <if test="status != null  and status != ''"> and d.status = #{status}</if>
            <if test="isWt != null  and isWt != ''"> and d.is_wt = #{isWt}</if>
            <if test="wtType != null  and wtType != ''"> and d.wt_type = #{wtType}</if>
            <if test="params.beginTime != null and params.beginTime != ''"><!-- 开始时间检索 -->
                AND date_format(d.create_time,'%Y%m%d') &gt;= date_format(#{params.beginTime},'%Y%m%d')
            </if>
            <if test="params.endTime != null and params.endTime != ''"><!-- 结束时间检索 -->
                AND date_format(d.create_time,'%Y%m%d') &lt;= date_format(#{params.endTime},'%Y%m%d')
            </if>
            ${params.dataScope}
        </where>

        order by d.create_time desc
    </select>
    
    <select id="selectFgwXmsbById" parameterType="Long" resultMap="FgwXmsbResult">
        <include refid="selectFgwXmsbVo"/>
        where id = #{id}
    </select>
    <select id="selectFgwXmsbListTj" parameterType="FgwXmsb" resultMap="FgwXmsbResult">
        <include refid="selectFgwXmsbVo"/>
        <where>
           ( (progress = '1' and status = '2') or (progress &gt; 1))
        </where>
    </select>
    <select id="ldpsList" resultMap="FgwXmsbResult" parameterType="FgwXmsb">
        select d.id, d.xmmc, d.xmbh,d.nkgsj,d.jgsj,d.njgsj,d.nttz,d.xmbq,d.is_js,d.is_wt,d.wt_type, d.xmdw, d.qtzrdw, d.qtsld, d.gmnr, d.jhkgsj, d.xmztz,
               d.sjbz, d.sczbj, d.zxz, d.ppp, d.rz, d.qyzc,d.ndjh, d.sjbzzjqd, d.rzqd, d.dq, d.jsdw, d.js_dept_id, d.dept_id,d.dept_name, d.user_id, d.kgsj, d.ntsj,
               d.ntxmtc, d.type, d.progress, d.status, d.create_by, d.create_time, d.update_by, d.update_time, d.remark,d.psnr from fgw_xmsb d
        <where>
            d.psnr is not null and d.psnr != ''
            <if test="xmmc != null  and xmmc != ''"> and d.xmmc = #{xmmc}</if>
            <if test="xmbh != null  and xmbh != ''"> and d.xmbh = #{xmbh}</if>
            <if test="xmdw != null  and xmdw != ''"> and d.xmdw = #{xmdw}</if>
            <if test="qtzrdw != null  and qtzrdw != ''"> and d.qtzrdw = #{qtzrdw}</if>
            <if test="qtsld != null  and qtsld != ''"> and d.qtsld = #{qtsld}</if>
            <if test="gmnr != null  and gmnr != ''"> and d.gmnr = #{gmnr}</if>
            <if test="jhkgsj != null "> and d.jhkgsj = #{jhkgsj}</if>
            <if test="xmztz != null  and xmztz != ''"> and d.xmztz = #{xmztz}</if>
            <if test="sjbz != null  and sjbz != ''"> and d.sjbz = #{sjbz}</if>
            <if test="sczbj != null  and sczbj != ''"> and d.sczbj = #{sczbj}</if>
            <if test="zxz != null  and zxz != ''"> and d.zxz = #{zxz}</if>
            <if test="ppp != null  and ppp != ''"> and d.ppp = #{ppp}</if>
            <if test="rz != null  and rz != ''"> and d.rz = #{rz}</if>
            <if test="ndjh != null  and ndjh != ''"> and d.ndjh = #{ndjh}</if>
            <if test="sjbzzjqd != null  and sjbzzjqd != ''"> and d.sjbzzjqd = #{sjbzzjqd}</if>
            <if test="rzqd != null  and rzqd != ''"> and d.rzqd = #{rzqd}</if>
            <if test="dq != null  and dq != ''"> and d.dq = #{dq}</if>
            <if test="jsdw != null  and jsdw != ''"> and d.jsdw = #{jsdw}</if>
            <if test="jsDeptId != null "> and d.js_dept_id = #{jsDeptId}</if>
            <if test="deptId != null "> and d.dept_id = #{deptId}</if>
            <if test="deptName != null "> and d.dept_name = #{deptName}</if>
            <if test="userId != null "> and d.user_id = #{userId}</if>
            <if test="kgsj != null "> and d.kgsj = #{kgsj}</if>
            <if test="ntsj != null "> and d.ntsj = #{ntsj}</if>
            <if test="ntxmtc != null  and ntxmtc != ''"> and d.ntxmtc = #{ntxmtc}</if>
            <if test="type != null  and type != ''"> and d.type = #{type}</if>
            <if test="progress != null  and progress != ''"> and d.progress = #{progress}</if>
            <if test="status != null  and status != ''"> and d.status = #{status}</if>
            <if test="isWt != null  and isWt != ''"> and d.is_wt = #{isWt}</if>
            <if test="wtType != null  and wtType != ''"> and d.wt_type = #{wtType}</if>
            <if test="params.beginTime != null and params.beginTime != ''"><!-- 开始时间检索 -->
                AND date_format(d.create_time,'%Y%m%d') &gt;= date_format(#{params.beginTime},'%Y%m%d')
            </if>
            <if test="params.endTime != null and params.endTime != ''"><!-- 结束时间检索 -->
                AND date_format(d.create_time,'%Y%m%d') &lt;= date_format(#{params.endTime},'%Y%m%d')
            </if>
            ${params.dataScope}
        </where>

    </select>
    <select id="selectFgwXmsbListAll" resultMap="FgwXmsbResult">
        select d.id, d.xmmc, d.xmbh,d.nkgsj,d.jgsj,d.njgsj,d.nttz,d.xmbq,d.is_js,d.is_wt,d.wt_type, d.xmdw, d.qtzrdw, d.qtsld, d.gmnr, d.jhkgsj, d.xmztz,
        d.sjbz, d.sczbj, d.zxz, d.ppp,d.qyzc, d.rz, d.ndjh, d.sjbzzjqd, d.rzqd, d.dq, d.jsdw, d.js_dept_id, d.dept_id,d.dept_name, d.user_id, d.kgsj, d.ntsj,
        d.ntxmtc, d.type, d.progress, d.status, d.create_by, d.create_time, d.update_by, d.update_time, d.remark,d.psnr from fgw_xmsb d
        <where>
            <if test="isWt != null  and isWt != ''"> and d.is_wt = #{isWt}</if>
            <if test="wtType != null  and wtType != ''"> and d.wt_type = #{wtType}</if>
            <if test="xmmc != null  and xmmc != ''"> and d.xmmc = #{xmmc}</if>
            <if test="xmbh != null  and xmbh != ''"> and d.xmbh = #{xmbh}</if>
            <if test="xmdw != null  and xmdw != ''"> and d.xmdw = #{xmdw}</if>
            <if test="qtzrdw != null  and qtzrdw != ''"> and d.qtzrdw = #{qtzrdw}</if>
            <if test="qtsld != null  and qtsld != ''"> and d.qtsld = #{qtsld}</if>
            <if test="gmnr != null  and gmnr != ''"> and d.gmnr = #{gmnr}</if>
            <if test="jhkgsj != null "> and d.jhkgsj = #{jhkgsj}</if>
            <if test="xmztz != null  and xmztz != ''"> and d.xmztz = #{xmztz}</if>
            <if test="sjbz != null  and sjbz != ''"> and d.sjbz = #{sjbz}</if>
            <if test="sczbj != null  and sczbj != ''"> and d.sczbj = #{sczbj}</if>
            <if test="zxz != null  and zxz != ''"> and d.zxz = #{zxz}</if>
            <if test="ppp != null  and ppp != ''"> and d.ppp = #{ppp}</if>
            <if test="rz != null  and rz != ''"> and d.rz = #{rz}</if>
            <if test="ndjh != null  and ndjh != ''"> and d.ndjh = #{ndjh}</if>
            <if test="sjbzzjqd != null  and sjbzzjqd != ''"> and d.sjbzzjqd = #{sjbzzjqd}</if>
            <if test="rzqd != null  and rzqd != ''"> and d.rzqd = #{rzqd}</if>
            <if test="dq != null  and dq != ''"> and d.dq = #{dq}</if>
            <if test="jsdw != null  and jsdw != ''"> and d.jsdw = #{jsdw}</if>
            <if test="jsDeptId != null "> and d.js_dept_id = #{jsDeptId}</if>
            <if test="deptId != null "> and d.dept_id = #{deptId}</if>
            <if test="deptName != null "> and d.dept_name = #{deptName}</if>
            <if test="userId != null "> and d.user_id = #{userId}</if>
            <if test="kgsj != null "> and d.kgsj = #{kgsj}</if>
            <if test="ntsj != null "> and d.ntsj = #{ntsj}</if>
            <if test="ntxmtc != null  and ntxmtc != ''"> and d.ntxmtc = #{ntxmtc}</if>
            <if test="type != null  and type != ''"> and d.type = #{type}</if>
            <if test="progress != null  and progress != ''"> and d.progress = #{progress}</if>
            <if test="status != null  and status != ''"> and d.status = #{status}</if>
            <if test="params.beginTime != null and params.beginTime != ''"><!-- 开始时间检索 -->
                AND date_format(create_time,'%Y%m%d') &gt;= date_format(#{params.beginTime},'%Y%m%d')
            </if>
            <if test="params.endTime != null and params.endTime != ''"><!-- 结束时间检索 -->
                AND date_format(create_time,'%Y%m%d') &lt;= date_format(#{params.endTime},'%Y%m%d')
            </if>
            ${params.dataScope}
        </where>

    </select>
    <select id="selectFgwXmsbByIdList" resultMap="FgwXmsbResult">
        <include refid="selectFgwXmsbVo"/>
        where id in
        <foreach item="id" collection="idList" open="(" separator="," close=")">
            #{id}
        </foreach>
    </select>

    <insert id="insertFgwXmsb" parameterType="FgwXmsb" useGeneratedKeys="true" keyProperty="id">
        insert into fgw_xmsb
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="xmmc != null">xmmc,</if>
            <if test="xmbh != null">xmbh,</if>
            <if test="xmdw != null">xmdw,</if>
            <if test="qtzrdw != null">qtzrdw,</if>
            <if test="qtsld != null">qtsld,</if>
            <if test="gmnr != null">gmnr,</if>
            <if test="jhkgsj != null">jhkgsj,</if>
            <if test="xmztz != null">xmztz,</if>
            <if test="sjbz != null">sjbz,</if>
            <if test="sczbj != null">sczbj,</if>
            <if test="zxz != null">zxz,</if>
            <if test="ppp != null">ppp,</if>
            <if test="rz != null">rz,</if>
            <if test="qyzc != null">qyzc,</if>
            <if test="ndjh != null">ndjh,</if>
            <if test="sjbzzjqd != null">sjbzzjqd,</if>
            <if test="rzqd != null">rzqd,</if>
            <if test="dq != null">dq,</if>
            <if test="jsdw != null">jsdw,</if>
            <if test="jsDeptId != null">js_dept_id,</if>
            <if test="deptId != null">dept_id,</if>
            <if test="deptName != null">dept_name,</if>
            <if test="userId != null">user_id,</if>
            <if test="kgsj != null">kgsj,</if>
            <if test="ntsj != null">ntsj,</if>
            <if test="ntxmtc != null">ntxmtc,</if>
            <if test="type != null">type,</if>
            <if test="progress != null">progress,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="psnr != null">psnr,</if>
            <if test="nkgsj != null">nkgsj,</if>
            <if test="jgsj != null">jgsj,</if>
            <if test="njgsj != null">njgsj,</if>
            <if test="nttz != null">nttz,</if>
            <if test="xmbq != null">xmbq,</if>
            <if test="isJs != null">is_js,</if>
            <if test="isWt != null and isWt != ''">is_wt,</if>
            <if test="wtType != null and wtType != ''">wt_type,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="xmmc != null">#{xmmc},</if>
            <if test="xmbh != null">#{xmbh},</if>
            <if test="xmdw != null">#{xmdw},</if>
            <if test="qtzrdw != null">#{qtzrdw},</if>
            <if test="qtsld != null">#{qtsld},</if>
            <if test="gmnr != null">#{gmnr},</if>
            <if test="jhkgsj != null">#{jhkgsj},</if>
            <if test="xmztz != null">#{xmztz},</if>
            <if test="sjbz != null">#{sjbz},</if>
            <if test="sczbj != null">#{sczbj},</if>
            <if test="zxz != null">#{zxz},</if>
            <if test="ppp != null">#{ppp},</if>
            <if test="rz != null">#{rz},</if>
            <if test="qyzc != null">#{qyzc},</if>
            <if test="ndjh != null">#{ndjh},</if>
            <if test="sjbzzjqd != null">#{sjbzzjqd},</if>
            <if test="rzqd != null">#{rzqd},</if>
            <if test="dq != null">#{dq},</if>
            <if test="jsdw != null">#{jsdw},</if>
            <if test="jsDeptId != null">#{jsDeptId},</if>
            <if test="deptId != null">#{deptId},</if>
            <if test="deptName != null">#{deptName},</if>
            <if test="userId != null">#{userId},</if>
            <if test="kgsj != null">#{kgsj},</if>
            <if test="ntsj != null">#{ntsj},</if>
            <if test="ntxmtc != null">#{ntxmtc},</if>
            <if test="type != null">#{type},</if>
            <if test="progress != null">#{progress},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="psnr != null">#{psnr},</if>
            <if test="nkgsj != null">#{nkgsj},</if>
            <if test="jgsj != null">#{jgsj},</if>
            <if test="njgsj != null">#{njgsj},</if>
            <if test="nttz != null">#{nttz},</if>
            <if test="xmbq != null">#{xmbq},</if>
            <if test="isJs != null">#{isJs},</if>
            <if test="isWt != null and isWt != ''">#{isWt},</if>
            <if test="wtType != null and wtType != ''">#{wtType},</if>
         </trim>
    </insert>

    <update id="updateFgwXmsb" parameterType="FgwXmsb">
        update fgw_xmsb
        <trim prefix="SET" suffixOverrides=",">
            <if test="xmmc != null">xmmc = #{xmmc},</if>
            <if test="xmbh != null">xmbh = #{xmbh},</if>
            <if test="xmdw != null">xmdw = #{xmdw},</if>
            <if test="qtzrdw != null">qtzrdw = #{qtzrdw},</if>
            <if test="qtsld != null">qtsld = #{qtsld},</if>
            <if test="gmnr != null">gmnr = #{gmnr},</if>
            <if test="jhkgsj != null">jhkgsj = #{jhkgsj},</if>
            <if test="xmztz != null">xmztz = #{xmztz},</if>
            <if test="sjbz != null">sjbz = #{sjbz},</if>
            <if test="sczbj != null">sczbj = #{sczbj},</if>
            <if test="zxz != null">zxz = #{zxz},</if>
            <if test="ppp != null">ppp = #{ppp},</if>
            <if test="rz != null">rz = #{rz},</if>
            <if test="qyzc != null">qyzc = #{qyzc},</if>
            <if test="ndjh != null">ndjh = #{ndjh},</if>
            <if test="sjbzzjqd != null">sjbzzjqd = #{sjbzzjqd},</if>
            <if test="rzqd != null">rzqd = #{rzqd},</if>
            <if test="dq != null">dq = #{dq},</if>
            <if test="jsdw != null">jsdw = #{jsdw},</if>
            <if test="jsDeptId != null">js_dept_id = #{jsDeptId},</if>
            <if test="deptId != null">dept_id = #{deptId},</if>
            <if test="deptName != null">dept_name = #{deptName},</if>
            <if test="userId != null">user_id = #{userId},</if>
            <if test="kgsj != null">kgsj = #{kgsj},</if>
            <if test="ntsj != null">ntsj = #{ntsj},</if>
            <if test="ntxmtc != null">ntxmtc = #{ntxmtc},</if>
            <if test="type != null">type = #{type},</if>
            <if test="progress != null">progress = #{progress},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="psnr != null">psnr = #{psnr},</if>
            <if test="nkgsj != null">nkgsj = #{nkgsj},</if>
            <if test="jgsj != null">jgsj = #{jgsj},</if>
            <if test="njgsj != null">njgsj = #{njgsj},</if>
            <if test="nttz != null">nttz = #{nttz},</if>
            <if test="xmbq != null">xmbq = #{xmbq},</if>
            <if test="isJs != null and isJs != ''">is_js = #{isJs},</if>
            <if test="isWt != null and isWt != ''">is_wt = #{isWt},</if>
            <if test="wtType != null and wtType != ''">wt_type = #{wtType},</if>
        </trim>
        where id = #{id}
    </update>
    <update id="updateFgwXmsbStatus" parameterType="FgwXmsb">
        update fgw_xmsb
        <trim prefix="SET" suffixOverrides=",">
            <if test="status != null">status = #{status},</if>
            <if test="progress != null">progress = #{progress},</if>
            <if test="type != null">type = #{type},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteFgwXmsbById" parameterType="Long">
        delete from fgw_xmsb where id = #{id}
    </delete>

    <delete id="deleteFgwXmsbByIds" parameterType="String">
        delete from fgw_xmsb where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>